<?php
	require_once dirname(__FILE__)."/../bin/web/page.php";
	require_once dirname(__FILE__)."/../dal/userDAL.php";

	class _header extends page{
		public $userID;

		public function __construct(){
			parent::__construct();
		}
		//覆蓋父類load()方法
		public function load(){
			parent::loadTemplateFile(dirname(__FILE__)."/templates/header.html");

			//
			$dalU = new userDAL();
			$dalU->UserID = $this->userID;
			$dalU->loadRecord();
			parent::addParameter("LoginName",$dalU->LoginName);
			parent::addParameter("UserName",$dalU->UserName);

			//
			$dateTime = date("Y-m-d H:i:s");
			parent::addParameter("dateTime",$dateTime);

			parent::load();
		}
	}
?>